import PageHeader from "@/ui/page/page-header";
import PageFooter from "@/ui/page/page-footer";
import GlobalLoading from "@/components/GlobalLoading";
export default function MainLayout({
    children,
}: Readonly<{
    children: React.ReactNode;
}>) {
    return (
        <>
            <main
                data-theme="typeframes"
                className="z-0 bg-almostblack relative flex flex-col items-center overflow-x-hidden"
            >
                <PageHeader />
                <section className="max-w-screen-2xl w-full relative py-24 px-4 md:px-16 ">
                    {children}
                </section>
                <PageFooter />
            </main>
            <GlobalLoading />
        </>
    );
}
