import Image from "next/image";
import { useTranslations, useLocale } from "next-intl";

import Link from "next/link";
export default function PageHeader() {
    const t = useTranslations("pageHeader");
    const locale = useLocale();
    return (
        <div className="max-w-screen-2xl box-border bg-opacity-0 z-[99] absolute px-4 md:px-16 lg:px-20 top-0 w-screen flex justify-center ">
            <div
                className="relative w-full px-4 flex items-center justify-between"
                style={{ height: "96px" }}
            >
                <Link href="/">
                    <Image
                        alt="typeframes.ai logo"
                        fetchPriority="high"
                        width={150}
                        height={30}
                        decoding="async"
                        style={{ color: "transparent" }}
                        src={locale === "en" ? "/logo_en.png" : "/logo_zh.png"}
                    />
                </Link>
                <div
                    id="navbar"
                    className="flex items-center justify-end gap-8"
                >
                    <div
                        id="navlinks"
                        className="text-[#BEC0C7] text-base font-medium invisible absolute top-full left-0 z-20 w-full origin-top-right -translate-y-4 bg-[#101215] flex-col flex-wrap justify-end gap-6 p-6  shadow-2xl shadow-gray-600/10 transition-all duration-300 dark:border-gray-700 dark:bg-gray-800 dark:shadow-none lg:visible lg:relative lg:flex lg:w-auto lg:translate-y-0 lg:scale-100 lg:flex-row lg:items-center lg:gap-0 lg:border-none lg:bg-transparent lg:p-0 lg:opacity-100 lg:shadow-none lg:peer-checked:translate-y-0 dark:lg:bg-transparent"
                    >
                        <div className="lg:pr-4 lg:ml-8">
                            <ul className="divide-y lg:divide-y-0 divide-white/5 gap-8 py-4 lg:hover:bg-transparent lg:hover:pl-0 tracking-wide lg:flex lg:space-y-0 lg:text-sm lg:items-center">
                                <li>
                                    <Link
                                        className="btn-tf btn-tf-secondary lg:flex"
                                        href="/create"
                                    >
                                        {t("button")}
                                    </Link>
                                </li>
                            </ul>
                        </div>
                    </div>
                    {/* <button
                        aria-label="hamburger"
                        id="hamburger"
                        className="relative -mr-6 p-6 lg:hidden"
                    >
                        <div
                            aria-hidden="true"
                            className="m-auto h-0.5 w-5 rounded bg-sky-50 transition duration-300 dark:bg-gray-300"
                        ></div>
                        <div
                            aria-hidden="true"
                            className="m-auto mt-1.5 h-0.5 w-5 rounded bg-sky-50 transition duration-300 dark:bg-gray-300"
                        ></div>
                    </button> */}
                </div>
            </div>
        </div>
    );
}
